#include <bits/stdc++.h>

using namespace std;

int main(){
    long long x,y;
    cin>>x>>y;
    long long a=1,ans=0;
    while(x>0 || y>0){
        ans=ans+a*(max(x%10,y%10));
        a*=10;
        x/=10;
        y/=10;
    }
    cout<<ans;
    return 0;
}